
Redmine - Defect #8501

Attchment files erased 

2011-06-02 12:55 - Luis Serrano Aranda

Status: Closed Start date: 2011-06-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Some files were mysteriously removed from the files directory, after reviewing the log I saw a strange thing

An example, the file 110517091517_KITS.xls:

5483623

5483624 Processing AttachmentsController#download (for 192.168.82.123 at 2011-05-20 10:58:56) [GET]

5483625   Parameters: {"action"=>"download", "id"=>"3875", "controller"=>"attachments"}

5483626 Completed in 16ms (View: 1, DB: 8) | 200 OK [https://127.0.0.1/attachments/download/3875]

5483627 Streaming file /var/www/redmine/files/110517091517_KITS.xls

5483628

5485798

5485799 Rendering /var/www/redmine/public/404.html (404 Not Found)

5485800 Streaming file /var/www/redmine/files/110517091517_KITS.xls

5485801

6141141

6141142 Processing AttachmentsController#download (for 192.168.82.155 at 2011-05-25 13:07:59) [GET]

6141143   Parameters: {"action"=>"download", "id"=>"3875", "controller"=>"attachments"}

6141144 Completed in 21ms (View: 1, DB: 7) | 200 OK [https://127.0.0.1/attachments/download/3875]

6141145 Streaming file /var/www/redmine/files/110517091517_KITS.xls

6141146

First the file is (served), then it is not, then returns to be ... (?)

I have Redmine 1.1.3

Ubuntu 10.04

History

#1 - 2011-06-02 12:56 - Luis Serrano Aranda

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20110214150630

About your Redmine plugins

Rate                                    0.2.0

Redmine CKEditor plugin                 0.0.6-ebrahim

Blocks Layout plugin                    0.0.1

ezFAQ plugin                            0.3.5

Redmine Require Closing Note plugin     0.0.1

DMSF                                    0.8.0 beta
Redmine Activity Module Plugin          1.0.0

Xapian search plugin                    1.1.6

Redmine Copy Button plugin              0.0.1

Boards watchers management plugin       0.0.5

Redmine System Notification plugin      0.2.0

Redmine Work Time plugin                0.0.63

Redmine Logs plugin                     0.0.1

Favourites plugin                       0.0.1

Redmine Drafts plugin                   0.1.1

Redmine Charts                          0.1.0

Embedded                                0.0.1

Advanced roadmap & milestones plugin    0.5.0

Image Cache plugin                      0.0.1

Redmine Delete Project plugin           0.0.4

Redmine Hide Emails By Default plugin   0.0.1

Localizable plugin                      0.1.1

Redmine Wiki Extensions plugin          0.3.2

Screenshot Paste                        1.1.0

Redmine Issue Control Panel plugin      0.1.0

Default queries per project plus        0.0.7

Redmine Stealth plugin                  0.1.0

Budget                                  0.2.0

Redmine Language Change plugin          0.1.0

Redmine Extended Spent Time plugin      0.0.1

Redmine Context Menu Relations plugin   0.0.1

Timesheet Plugin                        0.6.0

Redmine Theme Changer plugin            0.0.2

Redmine My Widgets plugin               0.1.0

Redmine Light Box plugin                0.0.1

Redmine Graphs plugin                   0.1.0

Extra query operators plugin            0.0.3

Redmine Better Gantt Chart plugin       0.4.0

Members report plugin                   0.2.0

Customer plugin                         0.2.0

Projects Tree View plugin               0.0.4

#2 - 2011-06-03 09:31 - Etienne Massip

With that much plugins, I'm not sure there 's still vanilla Redmine code executed =)

Is your file correctly uploaded the first time, does it appear in your files directory then ? In this case the reason could be something exterior to RM like

a backup job, antivirus or anything else.

#3 - 2011-07-04 16:53 - Luis Serrano Aranda

I happened again, There is some limitation in the folder files (maximum number of files, maximum size) ?

#4 - 2011-07-04 22:42 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Redmine does not limit the number of files in the folder. Never experienced this issue...

#5 - 2012-10-23 11:51 - Etienne Massip

- Status changed from New to Closed
